Du bist nicht angemeldet.

Eine Antwort schreiben

Schreibe deinen Beitrag und versende ihn
Beitragsoptionen
Deine Antwort

Zurück

Themen-Übersicht (Neuester Beitrag zuerst)

brikler
25.03.2020 13:53:51
GerBra schrieb:
Sputnik83 schrieb:

Fehler wie oben.

Durch das Vorziehen des keyring-Paketes - welches ansonsten irgendwann "mittendrin" mitaktualisiert würde

man kann archlinux-keyring ohne paket aktualisieren: https://wiki.archlinux.org/index.php/Pacman-key

pacman-key -h
pacman-key --refresh-keys            
#Aktualisiert die angegebenen oder alle Schlüssel von einem Schlüssel-Server
GerBra
25.03.2020 13:46:04
Sputnik83 schrieb:

Fehler wie oben.

Die "unknown trust" Meldungen?

Mein Herangehen bei Installationen, die länger kein System-Update bekommen haben:

Erst den Keyring aktualisieren (Wenn ein neuer zum Update angeboten wird, was i.d.R. dann der Fall ist). Also

pacman -Sy archlinux-keyring

Durch das Vorziehen des keyring-Paketes - welches ansonsten irgendwann "mittendrin" mitaktualisiert würde - verschwinden diese Fehler bzgl. falscher/unbekannter Signatur normalerweise. Die Paketüberprüfung findet ja noch anhand des alten Keyrings statt, deshalb diese Meldungen in hoher Anzahl.
Alternativ kann auch der pacman-keyring per Hand auf den aktuellen Stand gebracht werden, einfacher ist aber IMHO es über pacman mittels Paketupdate zu machen.

Dann das Systemupgrade (pacman -Syu).
Vorher sollte man sich auch alle News-Updates (wie diese) auf der Startseite anschauen, und zwar seit dem Zeitpunkt des letzten vollständigen Systemupdates (was dem pacman.log entnommen werden kann). Diese Punkte sollte man auch am Besten vor dem eigentlichen Update erledigen. Manchmal sind diese Punkte ggf. schon wieder hinfällig, manchmal auch nicht. Das muß man entscheiden, und halt die Hinweise dort parat haben falls während des Updates etwas passiert was durch diese Hinweise dann abgedeckt wird.

frostschutz
25.03.2020 12:34:09
Sputnik83
25.03.2020 11:52:37
Fehler: libtiff: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/libtiff-4.1.0-1-x86_64.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] k
Fehler: krb5: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/krb5-1.17.1-1-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: libseccomp: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/libseccomp-2.4.2-1-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: perl-net-ssleay: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/perl-net-ssleay-1.88-1-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: boost-libs: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/boost-libs-1.72.0-1-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: boost: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/boost-1.72.0-1-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: dav1d: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/dav1d-0.5.2-1-x86_64.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: hwloc: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/hwloc-2.1.0-2-x86_64.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: openmpi: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/openmpi-4.0.3-1-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: libmypaint: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/libmypaint-1.4.0-1-x86_64.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: mypaint-brushes1: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/mypaint-brushes1-1.3.0-1-any.pkg.tar.xz ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: libplacebo: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/libplacebo-1.29.1-1-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: pacman: signature from "Levente Polyak (anthraxx) <levente@leventepolyak.net>" is unknown trust
:: Datei /var/cache/pacman/pkg/pacman-5.2.1-4-x86_64.pkg.tar.zst ist beschädigt (Ungültiges oder beschädigtes Paket (PGP-Signatur)).
Soll die Datei entfernt werden? [J/n] j
Fehler: Konnte den Vorgang nicht durchführen (Ungültiges oder beschädigtes Paket)
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.

Sry, der späten Antwort wegen.
Backup ist gemacht.
Fehler wie oben.

Schon mal Dank für Eure schnellen Antworten.

Grüße und gesund bleiben,

Sputti

Moderatornotiz: Abgetrennt von https://bbs.archlinux.de/viewtopic.php?id=32816

Fußzeile des Forums

Powered by FluxBB